API ReferenceConnected Accounts

Create a new auth link sessionv3.1

POST
/api/v3.1/connected_accounts/link

Creates a new authentication link session that users can use to connect their accounts

Authorization

x-api-key<token>

Project API key authentication

In: header

Request Body

application/json

auth_config_idstringRequired

The auth config id to create a link for

Format: authConfigId
user_idstringRequired

The user id to create a link for

aliasstring

A human-readable alias for this connected account. Must be unique per entity and toolkit within the project.

callback_urlstring

The callback url to create a link for

connection_dataobject

Optional data to pre-fill connection fields with default values

experimentalobjectExperimental

Experimental features - not stable, may be modified or removed in future versions.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3.1/connected_accounts/link" \  -H "Content-Type: application/json" \  -d '{    "auth_config_id": "string",    "user_id": "string"  }'
{  "link_token": "string",  "redirect_url": "string",  "expires_at": "string",  "connected_account_id": "string",  "experimental": {    "account_type": "PRIVATE",    "acl_config_for_shared": {      "allow_all_users": true,      "allowed_user_ids": [        "string"      ],      "not_allowed_user_ids": [        "string"      ]    }  }}